{
  config,
  pkgs,
  ...
}: {
  # Include udev rules for yubikey.
  services.udev.packages = with pkgs; [
    yubikey-personalization
  ];

  # OTP Manager
  environment.systemPackages = with pkgs; [
    yubioath-flutter
  ];
  services.pcscd.enable = true;

  # Enable smartcard support
  hardware.gpgSmartcards.enable = true;
}
